Retrieve the segment usage for a business
curl --request GET \
--url https://api.pocketflows.com/businesses/{id}/segment_usage \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/businesses/{id}/segment_usage"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/businesses/{id}/segment_usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sms": 123,
"mms": 123,
"email": 123,
"scheduled_segment_usage": {
"sms": 123,
"mms": 123,
"email": 123
},
"in_progress_segment_usage": {
"sms": 123,
"mms": 123,
"email": 123
},
"start_time": "<string>",
"end_time": "<string>"
}Segment usage
Retrieve the segment usage for a business
GET
/
businesses
/
{id}
/
segment_usage
Retrieve the segment usage for a business
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Query Parameters
The start time of the usage period. Provided as a string in ISO 8601 format.
The end time of the usage period. Provided as a string in ISO 8601 format.
Response
200 - application/json
The segment usage for the business within the time window
The number of SMS segments sent
The number of MMS segments sent
The number of email segments sent
The scheduled segment usage for campaigns not yet sent
Show child attributes
Show child attributes
The estimated segment usage for in-progress campaigns
Show child attributes
Show child attributes
The start time of the usage period in ISO 8601 format
The end time of the usage period in ISO 8601 format